#define F_CPU 3333333UL

#include <avr/io.h>
#include <stdbool.h>
#include <util/delay.h>

#define LED0 5
#define SW0  6

int main(void) {
    PORTF.DIRSET = (1 << LED0);
    PORTF.OUTSET = (1 << LED0);
    PORTF.DIRCLR = (1 << SW0);
    PORTF.PIN6CTRL |= PORT_PULLUP_bm;

    int buttonState = 0;

    while (1) {
        if (!(PORTF.IN & (1 << SW0))) {
            if (buttonState == 0) {

                PORTF.OUTTGL = (1 << LED0);
                buttonState = 1;
            }
        } else {
            buttonState = 0;
        }

        _delay_ms(1);
    }
}
