#define F_CPU 3333333UL

#include <avr/io.h>
#include <util/delay.h>

#define LED0 5

#define SW0 6

int main(void) {

    PORTF.DIR |= (1 << LED0);
    PORTF.DIR &= ~(1 << SW0);

    PORTF.PIN6CTRL |= PORT_PULLUPEN_bm;

    while (1) {

        if (!(PORTF.IN & (1 << SW0))) { // If button is pressed (0 - LOW)
            PORTF.OUT &= ~(1 << LED0);  // Sets output to 0, turns LED0 on
        } else {
            PORTF.OUT |= (1 << LED0); // Sets output to 1, turns LED off
        }
    }
}
